Subject: Re: 'git svn fetch' keeps giving a error after freezing

From: Michael J Gruber <[email-masked]>
Date: Thu, 09 Jul 2009 14:01:39 +0200

Graeme Geldenhuys venit, vidit, dixit 08.07.2009 13:21:
> Hi,
> 
> I'm using git-1.6.3.3 under Ubuntu Linux 8.04.2
> 
> I'm trying to convert (clone) a SubVersion repository to Git, so I can 
> host the mirror on GitHub, but for the last 4 days I don't get very far. 
> It seems to be getting a few files, then freezes and then gives the 
> error shown below. I'm now stuck around r2665 out of about 14,000 
> revisions. :-(
> 
> I have done such a clone before using a different SVN repository and 
> pulling in around 13,000 revisions, so my 'git svn' commands should work.
> 
> ==============================
> $ git svn fetch
> .....
>          A       fixes_2_0/fv/gadgets.pas
>          A       fixes_2_0/fv/colortxt.pas
>          A       fixes_2_0/fv/outline.pas
> RA layer request failed: REPORT of '/svn/fpc/!svn/vcc/default': Could 
> not read response body: connection was closed by server 
> (http://svn2.freepascal.org) at /usr/local/libexec/git-core/git-svn line 
> 4505
> ==============================
> 
> .git/config file contains the following (showing the SubVersion repository)
> 
> ======================
> ...snip...
> [svn-remote "svn"]
> 	url = http://svn2.freepascal.org/svn/fpc
> 	fetch = trunk:refs/remotes/trunk
> 	branches = branches/*:refs/remotes/*
> 	tags = tags/*:refs/remotes/tags/*
> ...snip...
> ======================
> 
> 
> Any thoughts on why I am getting this error?

Hmm, I cloned with standard layout and everything looks fine, see below.
Are you seeing the same problems on a fresh clone attempt (from an empty
dir)?

Between 2665 and 2674 I see no revisions, but those two are really small
changes. Can you 'svn log -r2664:2674' that range?

Michael

r13373 = c63340f4ac03767bcf049d88f0cd9a8ae3199090 (trunk)

Checking out files: 100% (10468/10468), done.

Checked out HEAD:

  http://svn2.freepascal.org/svn/fpc/trunk r13373

$ git branch -a
* master
  remotes/aspect
  remotes/avr
  remotes/cleanroom
  remotes/cpstr
  remotes/ctypes
  remotes/fixes_2_0
  remotes/fixes_2_2
  remotes/fixes_2_2_0_dos
  remotes/florian
  remotes/fpc_2_3
  remotes/generics
  remotes/genfunc
  remotes/inline
  remotes/janbruns
  remotes/linker
  remotes/linker@2665
  remotes/llvm
  remotes/merged
  remotes/newthreading
  remotes/objc
  remotes/rc_2_2_2
  remotes/release_2_1_2x
  remotes/release_2_2_4_rc1
  remotes/resources
  remotes/ssa
  remotes/tags/release_2_0_0
  remotes/tags/release_2_0_2
  remotes/tags/release_2_0_4
  remotes/tags/release_2_0_4_macos
  remotes/tags/release_2_0_4_rc1
  remotes/tags/release_2_0_4_rc2
  remotes/tags/release_2_0_4_rc3
  remotes/tags/release_2_1_2
  remotes/tags/release_2_1_4
  remotes/tags/release_2_2_0
  remotes/tags/release_2_2_2
  remotes/tags/release_2_2_2_rc1
  remotes/tags/release_2_2_2_rc2
  remotes/tags/release_2_2_4
  remotes/tags/test_2_0_4
  remotes/tags/test_2_0_4_1
  remotes/trunk
  remotes/tue
  remotes/unicodertl
  remotes/unicodestring
  remotes/unitrw
  remotes/wpo